## org.eclipse.datatools.sqltools.routineeditor.result
Class CallableSQLResultRunnable

    java.lang.Object
      Job
          org.eclipse.datatools.sqltools.sqleditor.result.ResultSupportRunnable
              org.eclipse.datatools.sqltools.routineeditor.result.CallableSQLResultRunnable

All Implemented Interfaces:
  java.lang.Runnable

    public class CallableSQLResultRunnable

extends ResultSupportRunnable

This is a CallableSupportRunnalbe, used to run a callable SQL statement. It supports things like showing SP return value, output parameter, etc.

Author:
  Zhihong(Bryan) Yang

Constructor Summary
`CallableSQLResultRunnable(java.sql.Connection con, ILaunchConfiguration configuration, boolean closeCon, IConnectionTracker tracker, DatabaseIdentifier databaseIdentifier)`

Method Summary
`static char` `byteToChar(byte[] b)`
`ILaunchConfiguration` `getConfiguration()`
`java.lang.String` `getConsumerName()` Gets the consumer name for `OperationCommand`.

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.result.ResultSupportRunnable
`getActionType, getDatabaseIdentifier, getOperationCommand, getOperationStatus, getParentOperationCommand, loopThroughResults, run, setActionType, setConsumerName, setParentOperCommand`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallableSQLResultRunnable

    public CallableSQLResultRunnable(java.sql.Connection con,
                                     ILaunchConfiguration configuration,
                                     boolean closeCon,
                                     IConnectionTracker tracker,
                                     DatabaseIdentifier databaseIdentifier)
                              throws CoreException,
                                     java.sql.SQLException,
                                     NoSuchProfileException

Parameters:
  `con` - the connection
  `configuration` - the lauch configuration
  `closeCon` - whether should close connection
  `tracker` - if closeCon is true and tracker is not null, will notify it when close the connection
Throws:
  `CoreException`
  `java.sql.SQLException`
  `NoSuchProfileException`

Method Detail

### getConsumerName

    public java.lang.String getConsumerName()

  Description copied from class: `ResultSupportRunnable`
  Gets the consumer name for `OperationCommand`. The default value is "SQL Editor".

  Overrides:
    `getConsumerName` in class `ResultSupportRunnable`

### byteToChar

    public static char byteToChar(byte[] b)

### getConfiguration

    public ILaunchConfiguration getConfiguration()

  Specified by:
    `getConfiguration` in class `ResultSupportRunnable`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.